API ReferenceapiaffiliatesGET /v1/tiers/{brand_id}

GET /v1/tiers/\{brand_id\}

Service: affiliates · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • brand_id (string) required

Responses

200 Tiers for this brand

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "min_revenue_cents": {
            "type": "string"
          },
          "commission_rate_bps": {
            "type": "integer"
          },
          "sort_order": {
            "type": "integer"
          }
        },
        "required": [
          "id",
          "brand_id",
          "name",
          "min_revenue_cents",
          "commission_rate_bps",
          "sort_order"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/tiers/{brand_id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"